Description

With certain Directlnput gamepads Cemu fails to recognize presses of some buttons. I'm seeing this problem with an OnLive
Universal Wireless Controller. Same issue regardless of method of connection (USB, Bluetooth or 2.4GHz wireless).

No other Windows program seems to have this issue. I'm currently working around it by using x360ce and telling Cemu to access the
emulated Xlnput Xbox360 gamepad.

The buttons which are not recognized are: A (would be mapped to Wii U B), left stick press, right stick press

Here's a table showing which button numbers Cemu shows. Note the strange button Y number: 204. Dolphin calls that Button 12.
Note also that 204 = 0xCC hex, 12 = 0x0C hex...

Wii U button OnLive button Cemu shows as Dolphin shows as
A B Button 14

B A [does not work] Button 15

X Y Button 204 Button 12

Y X Button 13

L LB Button 11

R RB Button 10

ZL LT Z Axis+

ZR RT Z Rotation+

+ Start Button 6

= Select Button 7

l-click [does not work] Button 9
1-up Y Axis-

1-down Y Axis+

1-left X Axis-—

l-right X Axis+

r-click [does not work] Button 8
r-up Y Rotation-

r—down Y Rotation+

r-left X Rotation-

r-right X Rotation+

dpad-up Hat Switch up

dpad-down Hat Switch down

dpad-left Hat Switch left

dpad-right Hat Switch right

History

#1 - 04/20/2019 07:39 PM - mark_k

Sorry, the table formatting is messed up. Hopefully you can still make sense of it.

#2 - 07/26/2019 05:14 PM - mlody95pl

| have similar issue on bluetooth gamepad (MOCUTE 054 - Dinput). CEMU doesn't recognize button 3 and 6 pressed. Probably same issue as here:
https://github.com rasa/X mmit/d4af27 7¢1091e525492921d4fbef24:
Any chance to fix that ?
https://github.com/csutorasa/XOutput/commit/d4af27db3e9e57c1091e525492921d4fbef249b6

#3 - 08/19/2020 02:43 PM - labbala
mlody95pl wrote:

| have similar issue on bluetooth gamepad (MOCUTE 054 - Dinput). CEMU doesn't recognize button 3 and 6 pressed. Probably same issue as
here:

https:/github.com/csutorasa/XOutput/commit/d4af27db3e9e57¢1091e525492921d4{bef249b6

Any chance to fix that ?

i have same issue here as well... some of the Directinput button are not recognized even that in the windows gamepad is showing as working..

#4 - 04/16/2021 09:03 PM - Serfrost

- Status changed from New to Resolved

Resolved with 1.22.11
https://github.com/csutorasa/XOutput/commit/d4af27db3e9e57c1091e525492921d4fbef249b6
